Package org.eclipse.m2m.atl.debug.core.adwp

# Class ADWPDebugger

java.lang.Object
java.lang.Thread
org.eclipse.m2m.atl.debug.core.adwp.ADWP
org.eclipse.m2m.atl.debug.core.adwp.ADWPDebugger

All Implemented Interfaces:
  `Runnable`

public class ADWPDebugger extends ADWP
The ADWP debugger.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Thread

`Thread.Builder, Thread.State, Thread.UncaughtExceptionHandler`

## Field Summary

### Fields inherited from class org.eclipse.m2m.atl.debug.core.adwp.ADWP

`CMD_CALL, CMD_CONTINUE, CMD_DISASSEMBLE, CMD_FINISH, CMD_GET, CMD_QUERY, CMD_SET, CMD_SET_BP, CMD_STEP, CMD_STEP_OVER, CMD_UNSET_BP, in, MSG_ANS, MSG_DISAS_CODE, MSG_STOPPED, MSG_TERMINATED, out, TYPE_BOOLEAN, TYPE_INTEGER, TYPE_NULL, TYPE_OBJECT, TYPE_REAL, TYPE_STRING`

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

## Constructor Summary

Constructors
Constructor
Description
`ADWPDebugger(InputStream in, OutputStream out)`
Creates a debugger using the given streams.

## Method Summary

Modifier and Type
Method
Description
`ADWPCommand`
`readMessage()`
Reads a message.
`protected ObjectReference`
`readObjectReference(int id)`
Reads an object reference.
`Value`
`request(int cmd, List<Value> args)`
Sends a request to the debuggee.
`ADWPCommand`
`requestMessage(int cmd, List<Value> args)`
Sends a message request to the debuggee.
`void`
`run()`
`void`
`sendCommand(int cmd, List<Value> args)`
Sends a command with the given arguments.

### Methods inherited from class org.eclipse.m2m.atl.debug.core.adwp.ADWP

`readCommand, readValue, sendMessage, writeValue`

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, isVirtual, join, join, join, join, ofPlatform, ofVirtual, onSpinWait, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, sleep, start, startVirtualThread, stop, suspend, threadId, toString, yield`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ADWPDebugger

public ADWPDebugger(InputStream in, OutputStream out)
Creates a debugger using the given streams.

Parameters:
  `in` - the input stream
  `out` - the output stream

## Method Details

### sendCommand

public void sendCommand(int cmd, List<Value> args)
Sends a command with the given arguments.

Parameters:
  `cmd` - the command
  `args` - the arguments

### readMessage

public ADWPCommand readMessage()
Reads a message.

Returns:
  the message

### requestMessage

public ADWPCommand requestMessage(int cmd, List<Value> args)
Sends a message request to the debuggee.

Parameters:
  `cmd` - the command
  `args` - the arguments
Returns:
  the return Value

### request

public Value request(int cmd, List<Value> args)
Sends a request to the debuggee.

Parameters:
  `cmd` - the command
  `args` - the arguments
Returns:
  the return Value

### run

public void run()

Specified by:
  `run` in interface `Runnable`
Overrides:
  `run` in class `ADWP`
See Also:
  - `ADWP.run()`

### readObjectReference

protected ObjectReference readObjectReference(int id)
Reads an object reference.

Specified by:
  `readObjectReference` in class `ADWP`
Parameters:
  `id` - the object id
Returns:
  the `ObjectReference`
See Also:
  - `ADWP.readObjectReference(int)`